1

When I try and update my files using the command apt-file update in the terminal it starts to do so, until I get to a certain point then I get the following message:

curl: (22) The requested URL returned error: 401 Authorization Required
Download of https://private-ppa.launchpad.net/commercial-ppa-uploaders/vkaudiosaver/ubuntu/dists/trusty/Contents-amd64.gz failed
Command exited with code 22

Any knowledge on how to get this to finish the update? Or how would I get the Authorization required to finish my up date?

  • sudo apt-file update? – aGer Jun 20 '15 at 18:14
  • I attempted this, I thought the same thing that it may be the issue, but I got the same error, I can manage to download the first file, and a few after that, some are up to date, it is just the one spot mentioned above that gives me the error being curl: (22) The requested URL returned error: 401 Authorization Required Download of private-ppa.launchpad.net/commercial-ppa-uploaders/vkaudiosaver/… failed Command exited with code 22 – Leo Tobias Jun 20 '15 at 18:16
  • Are you sure that you have installed "apt-file"? sudo apt-get install apt-file – aGer Jun 20 '15 at 18:19
  • It's a private PPA. Ask whoever maintains it for authorization. – muru Jun 20 '15 at 18:21
  • I had to do that first before I tried the initial update, I re ran the command just now and it stated it was already done. – Leo Tobias Jun 20 '15 at 18:23
0

You are getting the error because the PPA is a private (commmercial) PPA that requires authorization to visit. To cross check try to access the PPA from a browser.

To get pass it, either disable the PPA or get proper authentication token.

  • disabling the PPA worked, as it was the only thing causing the issue – Leo Tobias Jun 20 '15 at 18:36
  • @LeoTobias Glad it worked..If you want any package from that PPA try to get proper authentication from the maintainer though.. – heemayl Jun 20 '15 at 18:38
  • Yes I will have to see what I can do to find out the maintainer. – Leo Tobias Jun 20 '15 at 18:43
  • How would I get a proper authorization token? – sschuberth Jul 21 '16 at 12:11
  • @sschuberth you need to contact the PPA maintainer..see the relevant launchpad page for details.. – heemayl Jul 21 '16 at 14:21

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.